Page MenuHomePhabricator

Document Phabricator Spaces for teams
Closed, ResolvedPublic

Description

...now that T823: Implement Phabricator Spaces is fixed.
Several teams expressed interest in using Spaces in order to not have all their tasks entirely public by default.

Personally speaking, some stuff like the second dropdown of "Visible To" are still not fully clear to me yet so I'd love to see thorough testing and basic documentation for teams how to use Spaces.

Existing related docs:

Upstream docs:

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved RobLa-WMF
ResolvedQgil
ResolvedDzahn
ResolvedQgil
ResolvedAklapper
Invalidmmodell
Resolvedmmodell
Resolvedmmodell
DeclinedQgil
ResolvedAklapper
ResolvedQgil
ResolvedRobH
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
DeclinedAklapper
ResolvedQgil
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
Resolvedchasemp
ResolvedQgil
Resolvedgpaumier
ResolvedAklapper
ResolvedDzahn
ResolvedDzahn
DeclinedNone
ResolvedRobH
DuplicateRobH
Declinedmmodell
Duplicatemmodell
ResolvedQgil
Resolvedmmodell
ResolvedSpringle
ResolvedNone
Resolvedmmodell

Event Timeline

Aklapper created this task.Jul 13 2015, 9:14 PM
Aklapper raised the priority of this task from to High.
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Aklapper.
Restricted Application added a subscriber: scfc. · View Herald TranscriptJul 13 2015, 9:14 PM
Aklapper claimed this task.Jul 26 2015, 8:44 AM
Qgil added a subscriber: Qgil.

@Aklapper is work on this at https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Restricting_access_via_Space_policies (thank you!), so I'll add it to this month's sprint just to reflect reality. :)

Aklapper moved this task from Backlog to Doing on the ECT-July-2015 board.Jul 28 2015, 4:28 PM
Aklapper added a subscriber: mmodell.

I think that's about right, yeah...

Thanks @mmodell. Documentation updated: https://www.mediawiki.org/w/index.php?title=Phabricator%2FCreating_and_renaming_projects&type=revision&diff=1808682&oldid=1780683

...and once this is tested by fixing T94108 I'm happy to close this task.

Aklapper moved this task from Backlog to Doing on the ECT-August-2015 board.Aug 3 2015, 7:51 PM
Aklapper closed this task as Resolved.Aug 5 2015, 11:49 AM

Tested and the documentation seems to reflect the reality. Closing.